Bug 506006 - Review Request: perl-Test-WWW-Mechanize-CGIApp - Test::WWW::Mechanize for CGI::Application
Review Request: perl-Test-WWW-Mechanize-CGIApp - Test::WWW::Mechanize for CGI...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 04:46 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.05-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-15 04:46:12 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Test-WWW-Mechanize-CGIApp/perl-Test-WWW-Mechanize-CGIApp.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Test-WWW-Mechanize-CGIApp/perl-Test-WWW-Mechanize-CGIApp-0.05-1.fc11.src.rpm
Description:
This package makes testing CGIApp based modules fast and easy. It takes
advantage of Test::WWW::Mechanize to provide functions for common web
testing scenarios.
Comment 1 Parag AN(पराग) 2009-06-15 05:39:00 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1414513
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5caa9fe9ec918ad75657228ae0a41ac0a5efb108  Test-WWW-Mechanize-CGIApp-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=39,  2 wallclock secs ( 0.06 usr  0.01 sys +  1.29 cusr  0.12 csys =  1.48 CPU)
+ Package perl-Test-WWW-Mechanize-CGIApp-0.05-1.fc12.noarch =>
Provides: perl(Test::WWW::Mechanize::CGIApp) = 0.05
Requires: perl(HTTP::Request::AsCGI) perl(base) perl(strict) perl(warnings)
+ Not a GUI application

When I try to install this package, I saw we need to add 
Requires: perl(CGI::Application)
Requires: perl(Test::WWW::Mechanize)
Requires: perl(Test::More)

yum does not pick it up automatically.
APPROVED.
Comment 2 Emmanuel Seyman 2009-06-15 17:46:09 EDT
(In reply to comment #1)
>
> When I try to install this package, I saw we need to add 
> Requires: perl(CGI::Application)
> Requires: perl(Test::WWW::Mechanize)
> Requires: perl(Test::More)

How were you able to see this ?
I can remove those modules from my machine and still install the rpm.

Requesting cvs.

New Package CVS Request
=======================
Package Name: perl-Test-WWW-Mechanize-CGIApp
Short Description: Test::WWW::Mechanize for CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Parag AN(पराग) 2009-06-16 01:04:51 EDT
(In reply to comment #2)
> (In reply to comment #1)
> >
> > When I try to install this package, I saw we need to add 
> > Requires: perl(CGI::Application)
> > Requires: perl(Test::WWW::Mechanize)
> > Requires: perl(Test::More)
> 
> How were you able to see this ?
> I can remove those modules from my machine and still install the rpm.
> 

I mean to say yum should resolve these dependencies automatically which is not happening. From Test-WWW-Mechanize-CGIApp-0.05/META.yml, you can see what this package requires. So those should be installed automatically provided you have not them installed already.

Perl packages most of the time finds and installs Requires for them automatically but if that is not happening then we need to add them in SPEC file. 

Use yum to install binary rpm not just rpm command as it depends on what is written in SPEC file.
Comment 4 Emmanuel Seyman 2009-06-16 05:35:42 EDT
(In reply to comment #3)
>
> I mean to say yum should resolve these dependencies automatically which is not
> happening. From Test-WWW-Mechanize-CGIApp-0.05/META.yml, you can see what this
> package requires. So those should be installed automatically provided you have
> not them installed already.

I've pinged upstream about this.
Comment 5 Emmanuel Seyman 2009-06-17 00:48:43 EDT
(In reply to comment #4)
>
> I've pinged upstream about this.  

Upstream reports that CGI::Application Test::WWW::Mechanize are required. The dependency is more of a left-over from Test::WWW::Mechanize than anything else but since there's only so much testing you can do in Perl without requiring it, I'm adding all three as hard requirements.
Comment 6 Jason Tibbitts 2009-06-17 12:40:23 EDT
CVS done.
Comment 7 Fedora Update System 2009-06-21 11:19:10 EDT
perl-Test-WWW-Mechanize-CGIApp-0.05-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Test-WWW-Mechanize-CGIApp-0.05-1.fc11
Comment 8 Fedora Update System 2009-06-24 15:27:17 EDT
perl-Test-WWW-Mechanize-CGIApp-0.05-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-WWW-Mechanize-CGIApp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6805
Comment 9 Fedora Update System 2009-06-30 17:42:49 EDT
perl-Test-WWW-Mechanize-CGIApp-0.05-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.